Summary: Mpeg library
Name: mpeg_lib
Version: 1.3.1
Release: ipl11mdk
License: GPL
Group: System/Libraries
Source0: ftp://ftp.mni.mcgill.ca/pub/mpeg/mpeg_lib-1.3.1.tar.bz2
Patch0: mpeg_lib-1.3.1-soname.patch

%description
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.

A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

%package devel
Summary: Mpeg library devel package
Group: System/Libraries
Requires: %name = %version-%release

%description devel
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.

A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

This package contains header files need for development.

%package devel-static
Summary: Mpeg library devel-static package
Group: System/Libraries
Requires: %name-devel = %version-%release

%description devel-static
The MPEG Library is a collection of C routines to decode MPEG movies and dither
them in a variety of colour schemes.  Most of the code in the library comes
directly from the Berkely MPEG player, an X11-specific implementation that
works fine, but suffers from minimal documentation and a lack of modularity.

A front end to the Berkeley decoding engine was developed by Greg Ward at the
Montreal Neurological Institute in May/June 1994 to facilitate the development
of an MPEG player specifically for Silicon Graphics workstations. The decoding
engine together with the MNI front end constitute the MPEG Library.

This package contains static libraries need for development.

%prep
%setup -q -n mpeg_lib-%version
%patch0 -p1

%build
export OPTIMIZE="$RPM_OPT_FLAGS"
%configure
%make
make shlib

%install
install -D -m 644 libmpeg.so $RPM_BUILD_ROOT/usr/lib/libbmpeg.so.1.3.1
install -D -m 644 libmpeg.a $RPM_BUILD_ROOT/usr/lib/libbmpeg.a
install -D -m 644 mpeg.h $RPM_BUILD_ROOT/usr/include/bmpeg.h
cd  $RPM_BUILD_ROOT/usr/lib/
ln -s libbmpeg.so.1.3.1 libbmpeg.so
chmod 0755 libbmpeg.so.1.3.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README CHANGES
%_libdir/libbmpeg.so.*

%files devel
%doc doc/*
%_libdir/libbmpeg.so
%_includedir/bmpeg.h

%files devel-static
%_libdir/libbmpeg.a

%changelog
* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.3.1-ipl11mdk
- Rebuilt in new environment
- Disabled parallel build

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.3.1-10mdk
- Added devel-static package
- Fixed Packaging bug
- Some spec cleanup
- Build with optimization
- Fixed permissions

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-8mdk
- Correct typo fault in description tag

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-7mdk
- Adding requires flag to devel package

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-6mdk
- Correct a broken link (Thx to Stefan van der Eijk)

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-5mdk
- add soname
- rename lib, no more confict with kdemultimedia

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.1-4mdk
- BM, macros
- split documentation

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3.1-3mdk
- Fix %%doc
- Fix description of devel package
- Remove unnecessary %%post
- Remove french Description and Summary
- Use %%{_tmppath} for BuildRoot

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.3.1-2mdk
- build mpeg_lib and mpeg_lib-devel

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.3.1-1mdk
- Build Release.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix url and source path

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix french translation

* Tue Jul 6 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new library needed for gimp
- adaptation to Mandrake
- includes fixed
